﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* --- Colores --- */
:root {
    --color-celeste-100: #EBFBFF;
    --color-celeste-200: #A6E0ED;
    --color-celeste-default: #6BCBE1;
    --color-celeste-400: #58ADC1;
    --color-celeste-500: #0b5464;
    --color-blanco: #ffffff;
    --color-gris-100: #F8F8F8;
    --color-gris-200: #ECECEC;
    --color-gris-300: #C3C3C3;
    --color-gris-400: #666666;
    --color-gris-500: #3D3D3D;
    --color-negro: #000000;
    --color-verde-100: #E6F4EE;
    --color-verde-200: #9CD4BB;
    --color-verde-default: #079455;
    --color-verde-400: #045933;
    --color-verde-500: #011E11;
    --color-rojo-100: #FBEAE9;
    --color-rojo-200: #F0ABA6;
    --color-rojo-default: #D92D20;
    --color-rojo-400: #821B13;
    --color-rojo-500: #2B0906;
    --color-celeste: #6BCBE1;
    --color-gris-claro: #F8F8F8; /*fondo de los titulos*/
    --color-gris-medio: #D9D9D9; /*Lineas de las tablas*/
    --color-gris-oscuro: #6E6F84; /*texto gris*/

    --color-verde-claro: #DBFAE6;
    --color-verde-oscuro: #079455;
    --color-rojo-claro: #FEE2E2;
    --color-rojo-oscuro: #D92D20;
    --color-amarillo-claro: #FEF9C3;
    --color-amarillo-oscuro: #713F12;
    /* Colores de Botones */
    --color-boton-celeste: var(--color-celeste-default);
    --color-boton-blanco: var(--color-blanco);
    --color-boton-verde: var(--color-verde-oscuro);
    --color-boton-rojo: var(--color-rojo-oscuro);
    --color-boton-outline: transparent;
    --color-boton-outline-linea: var(--color-gris-oscuro);
    --color-boton-texto-blanco: var(--color-blanco);
    --color-boton-texto-celeste: var(--color-celeste-default);
    --color-boton-texto-gris: var(--color-gris-oscuro);

    /* Colores de estados del Botón HOVER */
    --color-boton-celeste-hover: #3EB5D0;
    --color-boton-blanco-hover: var(--color-gris-medio);
    --color-boton-outline-hover: var(--color-gris-claro);
    --color-boton-verde-hover: #066D3F;
    --color-boton-rojo-hover: #BA1408;

    /* Colores Chips*/
    --color-chip-verde-fondo: var(--color-verde-claro);
    --color-chip-verde-texto: var(--color-verde-oscuro);
    --color-chip-rojo-fondo: var(--color-rojo-claro);
    --color-chip-rojo-texto: var(--color-rojo-oscuro);
    --color-chip-amarillo-fondo: var(--color-amarillo-claro);
    --color-chip-amarillo-texto: var(--color-amarillo-oscuro);

    /* Colores Inputs*/
    --color-input-border: var(--color-gris-medio);
    --color-input-focus: var(--color-celeste-default);
    --color-input-texto: var(--color-negro);
    --color-input-texto-placeholder: var(--color-gris-medio);
    --color-input-error: var(--color-rojo-oscuro);
    
    /* Colores Cards */
    --color-card-header: var(--color-gris-claro);
    --color-card-outline-header: transparent;
    --color-card-outline: var(--color-gris-medio);
    
    /* Colores Tablas*/
    --color-tabla-header: var(--color-celeste-100);
    --color-tabla-lineas: var(--color-gris-100);
    --color-row: var(--color-blanco);
    --color-row-hover: var(--color-gris-200);
    --color-tabla-paginacion-lineas: var(--color-gris-300);
    --color-tabla-paginacion-texto: var(--color-gris-500);
    --color-tabla-paginacion-focus: var(--color-gris-300);
}


/* --- Font Weights --- */
:root {
    --font-thin: 100;
    --font-extra-light: 200;
    --font-light: 300;
    --font-regular: 400;
    --font-medium: 500;
    --font-semi-bold: 600;
    --font-bold: 700;
    --font-extra-bold: 800;
    --font-black: 900;
}


/* --- Tamaños de Fuentes --- */
:root {
    /*Font Family*/
    --font-family-base: "Poppins", serif;
    --font-family-secondary: System-ui;
    --font-base: 16px;
    --font-xs: 0.667rem; /* 10px */
    --font-sm: 0.8667rem; /* 13px */
    --font-md: 1rem; /* 16px */
    --font-lg: 1.267rem; /* 19px */
    --font-xl: 1.533rem; /* 23px */
    --font-xxl: 1.933rem; /* 29px */
    --font-xxxl: 2.467rem; /* 37px */
    --font-xxxxl: 3.067rem; /* 46px */
    --font-xxxxxl: 3.800rem; /* 57px */
}


/* Breakpoints para responsividad Fuentes MOBILE*/
@media (max-width: 768px) {
    :root {
        --font-xs: 0.6rem;   /* 9px */
        --font-sm: 0.733rem; /* 11px */
        --font-md: 0.867rem; /* 13px */
        --font-lg: 1.067rem; /* 16px */
        --font-xl: 1.3rem;   /* 19.5px */
        --font-xxl: 1.4rem;   /* 21px */
        --font-xxxl: 1.8rem;   /* 27px */
        --font-xxxxl: 2rem;     /* 30px */
        --font-xxxxxl: 2.5rem;   /* 37.5px */
    }
}
